package org.king.modules.ad.service;

import com.alibaba.fastjson.JSONObject;
import org.king.modules.ad.entity.AdChargingStatistics;
import org.king.modules.ad.entity.Depart;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Description: 海事机构
 * @Author: king-boot
 * @Date: 2021-06-09
 * @Version: V1.0
 */
public interface IDepartService extends IService<Depart> {

    List<AdChargingStatistics> queryJsDepart();

    List<JSONObject> queryDepartAndEcg();

    void putEcgDepartDataToRedis();
}
